#generate deprivation profiles by state

setwd("C:/fpb/adi")

rm(list=ls())

install.packages("tidyverse")
library(tidyverse)
install.packages("maps")
library(maps)

data(state.fips)

data0 <- unique(select(state.fips,"fips","abb")) %>%
  add_row(fips = 2,abb = "AK") %>%
  add_row(fips = 15,abb = "HI") %>%
  add_row(fips = 72,abb = "PR")

data1 <- read.csv("c:/pumphandle/us_bg_v1.5.txt")
#get the original file from www.neighborhoodatlas.medicine.wisc.edu
#there should be 219255 observations

data2 <- as_tibble(data1)

data3 <- data2 %>% select(GISJOIN, FIPSP1, ADI_NATRANK) %>% 
  rename(fips=FIPSP1) %>% 
  rename(rank=ADI_NATRANK)

data3$pctile <- 100 - data3$rank
data3$decile <- trunc(data3$pctile/10) + 1

data4 <- group_by(data3,fips, decile) %>% tally()
data5 <- group_by(data3,fips) %>% tally()
data6 <- inner_join(data4,data5,by="fips")
data6$nstan <- (data6$n.x/data6$n.y)*100

#bring in two-letter state abbreviations
data7 <- inner_join(data6,data0,by="fips")

#make a graph for each state on the same page, in the same file, with ggplot

data8 <- ggplot(data=data7, aes(x=decile, y=nstan)) +
  geom_bar(stat="identity") +
  scale_y_continuous(name ="Percent", breaks=c(10,30,50), limits=c(0,50)) +
  theme(aspect.ratio=1,axis.title.x=element_blank(),
        axis.text.x=element_blank(),
        axis.ticks.x=element_blank()) +
  facet_wrap( ~ abb, ncol=7) +
  ggtitle("Distribution of Area Deprivation, by State, 2013") +
  theme(plot.title=element_text(hjust=0.5))

data8

#future plans - weight by population, possible cosmetic improvements